<div
	class="avaliacao"
	[ngClass]="{
		show: isUP
	}"
>
	<div
		class="sucesso"
		[ngClass]="{
			show: showSucesso
		}"
	>
		<div class="br-message success" role="alert">
			<div class="icon" aria-label="Icone de sucesso">
				<i class="fas fa-check-circle fa-lg" aria-hidden="true"></i>
			</div>
			<div class="content">
				<p><strong>Obrigado pelo seu feedback..</strong></p>
			</div>
		</div>
	</div>

	<div
		class="errorEmptyOption"
		[ngClass]="{
			show: errorEmptyOption
		}"
	>
		<div class="br-message danger" role="alert">
			<div class="icon" aria-label="Icone de erro">
				<i class="fas fa-times-circle fa-lg" aria-hidden="true"></i>
			</div>
			<div class="content">
				<p><strong>Seleciona uma opção..</strong></p>
			</div>
		</div>
	</div>
	<div
		class="avaliacaoContent"
		[ngClass]="{
			disabled: showSucesso
		}"
	>
		<div class="informacaoUtil">
			<strong>Esta informação foi útil?</strong>
			<button
				class="br-button circle small"
				type="button"
				(click)="up()"
				data-toggle="dropdown"
				aria-label="Avaliar positivamente"
				[ngClass]="{
					active: votadoUP
				}"
			>
				<i class="fas fa-thumbs-up" aria-hidden="true"></i>
			</button>

			<button
				class="br-button circle small"
				type="button"
				(click)="down()"
				data-toggle="dropdown"
				aria-label="Avaliar negativamente"
				[ngClass]="{
					active: votadoDOWN
				}"
			>
				<i class="fas fa-thumbs-down" aria-hidden="true"></i>
			</button>
		</div>

		<div
			class="hiddencomentary"
			[ngClass]="{
				show: showMenuLinks
			}"
		>
			<hr />

			<strong>Gostaria de enviar mais detalhes sobre seu feedback?</strong>
			<p class="subhidden">Selecione a opção que melhor descreve sua insatisfação:</p>
			<form (ngSubmit)="sendComment()" [formGroup]="form">
				<div class="br-radio" *ngFor="let option of feedBackOptions">
					<input
						id="op-{{ option.id }}"
						type="radio"
						name="opcoes"
						value="{{ option.id }}"
						formControlName="opcoes"
					/>
					<label for="op-{{ option.id }}">{{ option.name }} </label>
				</div>

				<div class="br-textarea">
					<textarea
						id="feedbackcommen2"
						name="feedbackcomment"
						placeholder="Descreva mais detalhes (opcional)"
						formControlName="feedbackcomment"
					></textarea>
				</div>
				<div class="br-modal-footer actions justify-content-end">
					<button
						class="br-button primary mr-3"
						[disabled]="!form.valid || showSucesso"
						type="button"
						(click)="sendComment()"
						click
					>
						Enviar
					</button>
				</div>
			</form>
		</div>
	</div>
</div>
